%define basen cmark
%define major 0
%define libname %mklibname %{basen} %{major}
%define develname %mklibname %{basen} -d

Name:           %{basen}
Version:        0.30.3
Release:        %mkrel 1
Summary:        CommonMark parsing and rendering
Group:          System/Libraries

License:        BSD and MIT
URL:            https://github.com/jgm/cmark
Source0:        https://github.com/jgm/cmark/archive/%{version}.tar.gz#/%{name}-%{version}.tar.xz

BuildRequires:  cmake
BuildRequires:  gcc-c++

%description
`cmark` is the C reference implementation of CommonMark,
a rationalized version of Markdown syntax with a spec.

It provides a shared library (`libcmark`) with functions for parsing
CommonMark documents to an abstract syntax tree (AST), manipulating
the AST, and rendering the document to HTML, groff man, LaTeX,
CommonMark, or an XML representation of the AST.  It also provides a
command-line program (`cmark`) for parsing and rendering CommonMark
documents.


%package -n %{develname}
Summary:        Development files for cmark
Group: Development/Libraries
Requires:       %{libname} = %{version}-%{release}

%description -n %{develname}
This package provides the development files for cmark.



%package -n %{libname}
Summary:        CommonMark parsing and rendering library
Group: System/Libraries

%description -n %{libname}
This package provides the cmark library.



%prep
%setup -q


%build
%cmake -DCMARK_STATIC=OFF %{?_without_tests:-DCMARK_TESTS=OFF} ..
%make_build


%install
cd build
make install DESTDIR=%{buildroot}

%files
%doc COPYING
%{_bindir}/cmark
%{_mandir}/man1/cmark.1.*


%files -n %{libname}
%{_libdir}/libcmark.so.%{version}


%files -n %{develname}
%doc README.md
%{_includedir}/cmark.h
%{_includedir}/cmark_export.h
%{_includedir}/cmark_version.h
%{_libdir}/libcmark.so
%{_libdir}/pkgconfig/libcmark.pc
%{_mandir}/man3/cmark.3.*
%{_libdir}/cmake


%changelog
* Thu Feb 16 2023 tex - 0.30.3-1pclos2023
- new version

* Sat Jul 17 2021 tex - 0.30.1-2pclos2021
- rebuild against updates

* Sat Jul 17 2021 tex - 0.30.1-1pclos2021
- new version

* Wed May 09 2018 bb2 <bb2> - 0.28.3-1pclos2018
- import for mkvtoolnix
